| Openscape Voice V10 - SOAP Interface Documentation

Classes | Functions
Class Of Service

Class of Service Definitions and Methods. More...

## Classes
struct | unsp__GetCOSListData
| Get Class of Service List data. More...
struct | unsp__GetCOSListResult
| Get Class of Service List result. More...
struct | unsp__GetCOSListRequest
| Get Class of Service List request. More...
class | unsp__CreateClassServiceRequest
| Create Class Service request. More...
struct | unsp__CreateClassServiceResult
| Create Class Service result. More...
class | unsp__ModifyClassServiceRequest
| Modify Class Service request. More...
struct | unsp__ModifyClassServiceResult
| Modify Class Service result. More...
class | unsp__RemoveClassServiceRequest
| Remove Class Service request. More...
struct | unsp__RemoveClassServiceResult
| Remove Class Service result. More...
class | unsp__QueryClassServiceRequest
| Query Class Service request. More...
class | unsp__ClassService
| Query Class Service result data. More...
class | unsp__ArrayOfClassService
| Array of Class Services. More...
struct | unsp__ClassServiceResult
| Query Class Service result. More...

## Functions
int | unsp__GetCOSList2 (struct unsp__GetCOSListRequest GetCOSListRequest, struct unsp__GetCOSListResult *ClassOfServiceName)
| This method retrieves a list of the Class of Services that are defined on the system. More...
int | unsp__createClassService (unsp__CreateClassServiceRequest CreateClassServiceRequest, struct unsp__CreateClassServiceResult *CreateClassServiceResult)
| Creates a Class of Service. More...
int | unsp__modifyClassService (unsp__ModifyClassServiceRequest ModifyClassServiceRequest, struct unsp__ModifyClassServiceResult *ModifyClassServiceResult)
| Modifies a Class of Service. More...
int | unsp__removeClassService (unsp__RemoveClassServiceRequest RemoveClassServiceRequest, struct unsp__RemoveClassServiceResult *RemoveClassServiceResult)
| Removes a Class of Service. More...
int | unsp__queryClassService (unsp__QueryClassServiceRequest QueryClassServiceRequest, struct unsp__ClassServiceResult *QueryClassServiceResult)
| Queries Class Services. More...

## Detailed Description

Class of Service Definitions and Methods.

CoS (Classes of Service) are used to control the access rights/permissions of E.164 Destination Codes. When you create a CoS (Class of Service), you specify the following properties:

- Class of Service name
- Default CPC CoS - the default Class of Service for a subscriber

Once the craft person has created a set of Classes of Services, he/she can assign the Classes of Service to subscribers and E.164 Codes.

The COS (Class of Service) is used to classify subscribers or endpoints as belonging to a special type. The OpenScape Voice is preconfigured with the following COS: FGDIN, Hospital, Hotel, OpenScapeApp, OptrScreenReq, Ordinary, Payphone, Prison. Besides being able to choose any of these predefined COS's, others can be created. Usually, they are assigned to subscribers to control their calling capabilities based on subscriber characteristics, such as boss, clerk, etc.

The administrator can then create separate rules for the subscribers that have these COS assigned.

Note
  The usage of COS for toll restriction purposes is not recommended as there are no interactions between this configuration and features like speed dial. The COS is assigned statically to the subscriber or endpoint and there is no way of switching the COS based on a PIN or time.

## Function Documentation

## ◆ unsp__createClassService()

unsp__createClassService | ( | unsp__CreateClassServiceRequest | CreateClassServiceRequest,
|  | struct unsp__CreateClassServiceResult * | CreateClassServiceResult
| ) |  |

Creates a Class of Service.

Parameters

  CreateClassServiceRequest | API request
  CreateClassServiceResult | API result MP2 command: ClassService [Attributes]

## ◆ unsp__GetCOSList2()

unsp__GetCOSList2 | ( | struct unsp__GetCOSListRequest | GetCOSListRequest,
|  | struct unsp__GetCOSListResult * | ClassOfServiceName
| ) |  |

This method retrieves a list of the Class of Services that are defined on the system.

Parameters

  GetCOSListRequest | API request
  ClassOfServiceName | API result

## ◆ unsp__modifyClassService()

unsp__modifyClassService | ( | unsp__ModifyClassServiceRequest | ModifyClassServiceRequest,
|  | struct unsp__ModifyClassServiceResult * | ModifyClassServiceResult
| ) |  |

Modifies a Class of Service.

Parameters

  ModifyClassServiceRequest | API request
  ModifyClassServiceResult | API result MP2 command: ModifyClassService [Attributes]

## ◆ unsp__queryClassService()

unsp__queryClassService | ( | unsp__QueryClassServiceRequest | QueryClassServiceRequest,
|  | struct unsp__ClassServiceResult * | QueryClassServiceResult
| ) |  |

Queries Class Services.

Parameters

  QueryClassServiceRequest | API request
  QueryClassServiceResult | API result

## ◆ unsp__removeClassService()

unsp__removeClassService | ( | unsp__RemoveClassServiceRequest | RemoveClassServiceRequest,
|  | struct unsp__RemoveClassServiceResult * | RemoveClassServiceResult
| ) |  |

Removes a Class of Service.

Parameters

  RemoveClassServiceRequest | API request
  RemoveClassServiceResult | API result MP2 command: RemoveClassService [Attributes]